mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

This enumeration is used by .

Specifies the type of windows that code is allowed to use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionWindow To be added

  Users can use all windows and user input events without restriction.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionWindow To be added

  Users cannot use any windows or user interface events. No user interface can be used.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionWindow To be added

  Users can only use for drawing, and can only use user input events for user interface within that subwindow. Examples of are a , common dialog controls, and a control displayed within a browser.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionWindow

  When it runs under permission, your application:

  Will show the DNS name or IP address of the Web site from which the application was loaded in its title bar.

  Will display Balloon tool-tip when it first displays, informing the user that it is running under a restricted trust level.

  Must display its title bar at all times.

  Must display window controls on its forms.

  Cannot minimize its main window on startup.

  Cannot move its windows off-screen.

  Cannot use the property on to make its windows less than 50% transparent.

  Must use only rectangular windows, and must include the window frame. Windows Forms will not honor setting to None.

  Cannot make windows invisible. Any attempt by the application to set the property on its objects to False will be ignored.

  Must have an entry in the Task Bar.

  Will have its controls prohibited from accessing the property. By implication, controls will also be barred from accessing siblings - i.e., other controls at the same level of nesting.

  Cannot control focus using the method.

  Will have restricted keyboard input access, so that a form or control can only access keyboard events for itself and its children.

  Will have restricted mouse coordinate access, so that a form or control can only read mouse coordinates if the mouse is over its visible area.

  Cannot set the property.

  Cannot control the z-order of controls on the form using the and methods.

  These restrictions help prevent potentially harmful code from spoofing attacks, such as imitating trusted system dialogs.

  Users can only use and for drawing, and can only use user input events for the user interface within those top-level windows and subwindows.